%define upstream_name    Chemistry-Mol
%define upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Molecular formula reader/formatter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Chemistry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::String)
BuildRequires: perl(Math::VectorReal) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Text::Balanced)
BuildArch:  noarch

%description
This package, along with Chemistry::Atom and Chemistry::Bond, includes
basic objects and methods to describe molecules.

The core methods try not to enforce a particular convention. This means
that only a minimal set of attributes is provided by default, and some
attributes have very loosely defined meaning. This is because each program
and file type has different idea of what each concept (such as bond and
atom type) means. Bonds are defined as a list of atoms (typically two) with
an arbitrary type. Atoms are defined by a symbol and a Z, and may have 3D
and internal coordinates (2D coming soon).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jul 17 2022 tv <tv> 0.390.0-1.mga9
+ Revision: 1869242
- update to 0.39

* Mon Mar 21 2022 umeabot <umeabot> 0.380.0-2.mga9
+ Revision: 1814344
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 0.380.0-1.mga9
+ Revision: 1716855
- update to 0.38

* Wed Feb 12 2020 umeabot <umeabot> 0.370.0-10.mga8
+ Revision: 1503557
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.370.0-9.mga7
+ Revision: 1282244
- Mageia 7 Mass Rebuild

* Mon Oct 09 2017 tv <tv> 0.370.0-8.mga7
+ Revision: 1170427
- patch 0: fix "Unescaped left brace in regex is deprecated, passed through in regex"

* Sat Jun 18 2016 pterjan <pterjan> 0.370.0-7.mga6
+ Revision: 1023833
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.370.0-6.mga6
+ Revision: 945181
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.370.0-5.mga5
+ Revision: 740827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.370.0-4.mga5
+ Revision: 683868
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.370.0-3.mga4
+ Revision: 509967
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.370.0-2.mga3
+ Revision: 364167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 178166
- imported package perl-Chemistry-Mol

